﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinToolbars;


namespace RibbonGroupAreaSample
{
    public partial class Form1 : Form, IUIElementCreationFilter
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraToolbarsManager1.CreationFilter = this;
        }

        public void AfterCreateChildElements(UIElement parent)
        {
            // Check for the RibbonPagerArea
            if (parent is RibbonTabPageUIElement)
            {
                Image newImage = RibbonGroupAreaSample.Properties.Resources.Image;
                ImageUIElement aImageUIElement = (ImageUIElement)parent.GetDescendant(typeof(ImageUIElement));
                if (aImageUIElement == null)
                {
                    //Create a New ImageUIElement                    
                    aImageUIElement = new ImageUIElement(parent, newImage);
                }              
                parent.ChildElements.Add(aImageUIElement);

                //Size and position the new image to the far right of the group area with padding as necessary.
                aImageUIElement.Rect = new Rectangle(parent.Rect.Width - newImage.Width + 10, parent.Rect.Y, parent.Rect.Width, parent.Rect.Height);
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
